#! /bin/sh
#

if [ ${JAVA_HOME}a = a ] ;
then
 echo "please set JAVA_HOME to your jdk-base-directory, e.g. export JAVA_HOME=/usr/lib/java"
 exit
fi

CLASSPATH="${JAVACLIBS}:../build/classes:../lib:../build/jaugment.jar:${JAVA_HOME}/lib/tools.jar"
export CLASSPATH

export SUBPROJECTS="../.."
#set SUBPROJECTS=../subprojects

if [ -d ${SUBPROJECTS} ] ;
then
for s in `ls ${SUBPROJECTS}` ; 
do
 export CLASSPATH=${CLASSPATH}:${SUBPROJECTS}/${s}/bin:${SUBPROJECTS}/${s}/build/classes:${SUBPROJECTS}/${s}/lib

 if [ -d ${SUBPROJECTS}/${s}/lib ] ;
 then
 for l in `ls ${SUBPROJECTS}/${s}/lib/*.jar` ; 
 do
  echo "adding subproject ${l} to classpath..." 
  export CLASSPATH=${CLASSPATH}:${l}
 done 
 fi

 if [ -d ${SUBPROJECTS}/${s}/opt ] ;
 then
 for s2 in `ls ${SUBPROJECTS}/${s}/opt` ; 
 do
  export CLASSPATH=${CLASSPATH}:${SUBPROJECTS}/${s}/opt/${s2}/lib 
 
  if [ -d ${SUBPROJECTS}/${s}/opt/${s2}/lib ] ;
  then
  for l in `ls ${SUBPROJECTS}/${s}/opt/${s2}/lib/*.jar` ; 
  do
   echo "adding library ${l} to classpath..." 
   export CLASSPATH=${CLASSPATH}:${l}
  done
  fi
 done
 fi


done
fi

if [ -d ../opt ] ;
then
for s in `ls ../opt` ; 
do
 export CLASSPATH=${CLASSPATH}:../opt/${s}/lib

 if [ -d ../opt/${s}/lib ] ;
 then
 for l in `ls ../opt/${s}/lib/*.jar` ; 
 do
  echo "adding library ${l} to classpath..." 
  export CLASSPATH=${CLASSPATH}:${l}
 done
 fi
done
fi

if [ -d ../lib ] ;
then
for l in `ls ../lib/*.jar` ; 
 do
  echo "adding library ${l} to classpath..." 
  export CLASSPATH=${CLASSPATH}:${l}
 done
fi

#echo $CLASSPATH

ARGS="-Djava.security.policy=start.policy  -Djava.compiler=javacomp  -Djava.rmi.server.codebase=http://localhost:8881/jaugment.jar"

export JVM_THREADS_TYPE=native

$JAVA_HOME/bin/java $ARGS $* -Djaugment2dir=`pwd`/.. -Djava.library.path=$JAVADIR/lib/i386/ext jaugment2.UI.java3dUI.Java3dUI  

exit 0
