/** -------------------------------------------------------------------
  *      maintainer: Marcus Wolschon <Suran@gmx.net>
  * -------------------------------------------------------------------
  * projects:
  *	- Jaugment II
  *       part: Java3D-UI
  *	   used in release: current      used in version: current
  * -------------------------------------------------------------------
  * Copyright:   Copyright (c) 2000 by Marcus Wolschon <Suran@gmx.net>
  * -------------------------------------------------------------------
  * changes:
  * 0.0.1 (2000-12-24, Marcus Wolschon<Suran@gmx.net>)
  *       - created
  * -------------------------------------------------------------------
  * TODO:
  */

package jaugment2.UI.java3dUI;

import java.rmi.Remote;
import java.rmi.RemoteException;
import javax.media.j3d.InputDevice;

/**
 * UI-factory for Java3D-input-devices represented by services
 */
public interface Java3DUIInputDeviceFactory extends Remote
{
     /**
      * Returns an <CODE>InputDevice</CODE> represented this servicee
      */
     InputDevice getInputDevice(Object roleObject) throws RemoteException;
}